//
//  GradientView.m
//  CattailArtNSColorDemo
//
//  Created by Theresa Ford on 10/20/08.
//  Copyright 2008 Theresa L. Ford. All rights reserved.  Visit http://www.cattail.nu
//

#import "GradientView.h"


@implementation GradientView

-(void) setGradient:(NSArray *) colors
{
	[gradient release];
	gradient = nil;
	gradient = [[NSGradient alloc] initWithColors:colors];
	[self setNeedsDisplay:YES];
}



- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.

		gradient = [[NSGradient alloc] initWithStartingColor:[NSColor whiteColor] endingColor:[NSColor blackColor]];
    }
    return self;
}

- (void)drawRect:(NSRect)rect {
    // Drawing code here.
	[gradient drawInRect:[self bounds] angle:270];
}

@end
